cassandra-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Tom van den Berge (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CASSANDRA-7418) Cannot upgrade: Tried to create duplicate hard link
Date Thu, 19 Jun 2014 20:04:28 GMT

    [ https://issues.apache.org/jira/browse/CASSANDRA-7418?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14037783#comment-14037783
] 

Tom van den Berge commented on CASSANDRA-7418:
----------------------------------------------

You are right! Removing all "pre-sstablemetamigration" snapshots solved it. Thanks a lot!




> Cannot upgrade: Tried to create duplicate hard link
> ---------------------------------------------------
>
>                 Key: CASSANDRA-7418
>                 URL: https://issues.apache.org/jira/browse/CASSANDRA-7418
>             Project: Cassandra
>          Issue Type: Bug
>         Environment: OSX
>            Reporter: Tom van den Berge
>            Priority: Critical
>
> I'm trying to migrate a cluster from 1.2.14 to 2.0.8. When starting up 2.0.8, I'm seeing
the following error in the logs:
>  INFO 17:40:25,405 Snapshotting drillster, Account to pre-sstablemetamigration
> ERROR 17:40:25,407 Exception encountered during startup
> java.lang.RuntimeException: Tried to create duplicate hard link to /Users/tom/cassandra-data/data/drillster/Account/snapshots/pre-sstablemetamigration/drillster-Account-ic-65-Filter.db
>         at org.apache.cassandra.io.util.FileUtils.createHardLink(FileUtils.java:75)
>         at org.apache.cassandra.db.compaction.LegacyLeveledManifest.snapshotWithoutCFS(LegacyLeveledManifest.java:129)
>         at org.apache.cassandra.db.compaction.LegacyLeveledManifest.migrateManifests(LegacyLeveledManifest.java:91)
>         at org.apache.cassandra.db.compaction.LeveledManifest.maybeMigrateManifests(LeveledManifest.java:617)
>         at org.apache.cassandra.service.CassandraDaemon.setup(CassandraDaemon.java:274)
>         at org.apache.cassandra.service.CassandraDaemon.activate(CassandraDaemon.java:496)
>         at org.apache.cassandra.service.CassandraDaemon.main(CassandraDaemon.java:585)
> As a result, I can't start up 2.0.8, and switching back to 1.2.14 also doesn't work.



--
This message was sent by Atlassian JIRA
(v6.2#6252)

Mime
View raw message